org.eclipse.aether.spi.connector

## Class Transfer

- java.lang.Object
- - org.eclipse.aether.spi.connector.Transfer

- Direct Known Subclasses:
    ArtifactTransfer, MetadataTransfer

      public abstract class Transfer
      extends Object

  An artifact/metadata transfer.
  Restriction:
    This class is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Transfer.State` Deprecated. A connector notifies the transfer listener instead.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Exception` | `getException()` Gets the exception that occurred during the transfer (if any).
    `TransferListener` | `getListener()` Gets the listener that is to be notified during the transfer.
    `Transfer.State` | `getState()` Deprecated.
    `RequestTrace` | `getTrace()` Gets the trace information that describes the higher level request/operation in which this transfer is issued.
    `Transfer` | `setState(Transfer.State state)` Deprecated. A connector notifies the transfer listener instead.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getException

          public abstract Exception getException()

      Gets the exception that occurred during the transfer (if any).
      Returns:
        The exception or `null` if the transfer was successful.

    - #### getState

          @Deprecated
          public Transfer.State getState()

      Deprecated.
      Gets the state of this transfer.
      Returns:
        The state of this transfer, never `null`.

    - #### setState

          @Deprecated
          public Transfer setState(Transfer.State state)

      Deprecated. A connector notifies the transfer listener instead.
      Sets the state of this transfer.
      Parameters:
        `state` - The new state, must not be `null`.
      Returns:
        This transfer for chaining, never `null`.

    - #### getListener

          public TransferListener getListener()

      Gets the listener that is to be notified during the transfer.
      Returns:
        The transfer listener or `null` if none.

    - #### getTrace

          public RequestTrace getTrace()

      Gets the trace information that describes the higher level request/operation in which this transfer is issued.
      Returns:
        The trace information about the higher level operation or `null` if none.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.